<form>
    <div class="row">
        <div class="col-md-8">
            <div *ngFor="let data of datas">
                <chart [type]="chartType" [data]="data" [options]="chartOptions"></chart>
            </div>
        </div>
        <div class="col-md-4">
            <div *ngFor="let config of configs">
                <div class="form-group">
                    <label for="min-input-{{config.name}}">{{config.name}} min:</label>
                    <input type="number" class="form-control" id="min-input-{{config.name}}" placeholder="1.0" [(ngModel)]="config.minValue"
                        [ngModelOptions]="{standalone: true}">
                </div>
                <div class="form-group">
                    <label for="max-input-{{config.name}}">max: </label>
                    <input type="number" class="form-control" id="max-input-{{config.name}}" placeholder="1.0" [(ngModel)]="config.maxValue"
                        [ngModelOptions]="{standalone: true}">
                </div>
            </div>
            <div class="form-group">
                <label for="terms-num-input">Terms number:</label>
                <input type="number" min="0" class="form-control" id="terms-num-input" placeholder="1.0" [(ngModel)]="termsNumber" [ngModelOptions]="{standalone: true}">
            </div>
            <div class="form-group">
                <label for="func-type">Function type</label>
                <select class="form-control" id="func-type" required [(ngModel)]="funcType" name="power">
                    <option *ngFor="let ft of funcTypes" [value]="ft.type">{{ft.title}}</option>
                </select>
            </div>
            <button type="button" class="btn btn-primary" (click)="update()">Update</button>
        </div>
    </div>
    <div class="row">
        <div class="col-md-5">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>X</th>
                        <th>Y</th>
                        <th>Z</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let rule of rulesTable; let i = index">
                        <th scope="row">{{i+1}}</th>
                        <td>{{rule.X}}</td>
                        <td>{{rule.Y}}</td>
                        <td>{{rule.Z}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="col-md-7">
            <div class="form-group">
                <label for="terms-num-input">K:</label>
                <input type="number" min="1" class="form-control" id="terms-num-input" placeholder="1.0" [(ngModel)]="observeIntervalNum" [ngModelOptions]="{standalone: true}">
            </div>
            <table class="table">
                <thead>
                    <tr>
                        <th>Mean Squeare Error</th>
                        <th>Absolute Average Error</th>
                        <th>Maximum Error</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>{{MeanSquareError}}</td>
                        <td>{{AbsAverageError}}</td>
                        <td>{{MaxError}}</td>
                    </tr>                    
                </tbody>
            </table>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>X</th>
                        <th>Y</th>
                        <th>Z</th>
                        <th>F(x)</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let item of observeTable; let i = index">
                        <th scope="row">{{i+1}}</th>
                        <td>{{item.X}}</td>
                        <td>{{item.Y}}</td>
                        <td>{{item.Z}}</td>
                        <td>{{item.F_x}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</form>
